﻿@font-face {
    font-family: NotoSans;
    src: url('../fonts/Noto_Sans/NotoSans-Regular.ttf');
    font-weight: 400;
}
@font-face {
    font-family: "Noto Sans";
    src: url(./assets/fonts/NotoSans-Medium.ttf);
    font-weight: 500;
}
@font-face {
    font-family: "Noto Sans";
    src: url(./assets/fonts/NotoSans-SemiBold.ttf);
    font-weight: 600;
}

body {
    font-family: NotoSans;
    font-size: 20px;
    color: #071B45;
   
}

h1 {
    font-family: NotoSans;
    font-size: 32px;
    color: #071B45;
    font-weight:bold;
}

h2 {
    font-family: NotoSans;
    font-size: 24px;
    color: #071B45;
    font-weight: bold;
}

.DIVPage {
    margin-left: 20%;
    margin-right: 10%;
}

.TBLPage {
    width: 100%;
    padding:10px;
    border: 1px solid Gray;
}

.TEXTAREAPage {
    width: 95%;
    font-family: NotoSans;
    font-size: 12px;
    color: #071B45;
    overflow-y: scroll;
    height: 250px;
    border: 1px solid #071B45;
    padding: 10px;
    border-radius: 5px;
}

.BTNPage {
    border-radius: 30px;
    background-color: #0033A0;
    padding: 10px;
    width: 224px;
    color: #FFF;
}

.BTNPage:disabled {
    background-color: #DCDDE5;
}

.notes {
    display: block;
    max-width: 35%;
    margin: auto;
    padding: 16px 25px;
    color: #071B45;
    background: #FFF5DA;
    border-radius: 0.75rem;
    margin: auto;
    margin-bottom: 2.3rem;
    margin-top: 3.1rem;
    text-align: start;
}

/* custom scrollbar */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-thumb {
    /*     border: 2px solid white; */
    border-radius: 8px;
    background-color: #0033A0;
}

.lblCaption {
    font-size: small;
}

.boxError {
    background-color: #D6030C;
    width: 5px;
    height: 70px;
    border-radius: 2px
}

.lblError {
    color: #D6030C;
    font-size: small;
}


/* Login footer */
.login-footer {
    position: fixed;
    width: 100%;
    height: 80px;
    border-top: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    left: 0;
    bottom: 0;
    background-color: white;
    padding: 0.5rem 1rem;
}

    .login-footer span {
        font-family: Noto Sans;
        font-style: normal;
        font-weight: 600;
        font-size: 0.875rem;
        line-height: 1.25rem;
        color: #737482;
    }

    .login-footer .row {
        width: 100%;
        height: 100%;
    }

    .login-footer > div {
        display: flex;
        align-items: center;
        height: 100%;
    }

    .login-footer .main div:nth-child(2) {
        width: 2.5rem;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .login-footer .main .line {
        height: 1.5625rem;
        width: 0.0625rem;
        background-color: #737482;
    }

    .login-footer p {
        margin-bottom: 0;
        font-size: 10px;
        color: #737482;
    }

.textes {
    margin-bottom: 0;
    font-size: 10px;
    color: #737482;
}

    .textes > * {
        margin-bottom: 0
    }

.login-footer .drp {
    width: 130px;
    justify-content: space-evenly;
    cursor: pointer;
}

    .login-footer .drp svg-icon {
        display: flex;
        align-items: center;
        justify-content: center;
    }

.language-drp {
    position: relative;
    float: right;
    bottom: 10rem;
    height: 0;
    background-color: red;
    width: 158px;
    border-radius: 8px 8px 0px 0px;
}

.drp-content {
    height: 100%;
    width: 100%;
    flex-direction: column;
    align-items: center;
    display: none;
    justify-content: space-evenly;
    font-family: Noto Sans;
    color: #071B45;
    font-weight: bold;
}

    .drp-content span {
        cursor: pointer;
    }

.language-drp.open {
    animation: dropOpen 0.5s forwards;
}

    .language-drp.open .drp-content {
        display: flex;
        animation: fadeIn 0.2s forwards;
        animation-delay: 0.5s;
    }

.language-drp.closed {
    animation: dropClose 0.3s forwards;
}

.language-drp svg {
    transition: all 0.2s;
}

.drp svg-icon.open svg {
    transform: rotate(180deg);
}

.drp svg-icon.closed svg {
    transform: rotate(0deg);
}

@keyframes fadeIn {
    100% {
        opacity: 1;
    }
}

@keyframes dropOpen {
    100% {
        height: 100px;
    }
}

@keyframes dropClose {
    0% {
        height: 100px;
    }

    100% {
        height: 0px;
    }
}